<?php
Class Nettoyage{
    public function clean($input)
    {
        // Supprime les espaces en début et fin de chaîne
        $output = trim($input);

        // Supprime les balises HTML
        $output = strip_tags($output);

        // Supprime les caractères spéciaux
        // $output = htmlspecialchars($output);

        return $output;
    }
    public function cleanEmail($input){
        $output = $this->clean($input);
        $output = filter_var($output, FILTER_SANITIZE_EMAIL);
        return $output;
    }

    public function cleanInt($input){
        $output = $this->clean($input);
        $output = filter_var($output, FILTER_SANITIZE_NUMBER_INT);
        return $output;
    }
}